Skip to main content
POST
/
v1
/
feedback
/
external_identifier
/
{external_identifier}
Add Delivery Feedback by External Identifier
curl --request POST \
  --url https://api.sandbox.usenash.com/v1/feedback/external_identifier/{external_identifier} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "score": 123,
  "comment": "<string>"
}
'
{
  "id": "<string>",
  "deliveryId": "<string>",
  "score": 123,
  "comment": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

externalIdentifier
string
required

External identifier for the job

Example:

"ext_123"

Body

application/json
score
number
required

Feedback score

comment
string | null

Feedback comment

Response

OK

id
string
required

Feedback ID

deliveryId
string
required

Delivery ID

score
number
required

Feedback score

comment
string | null

Feedback comment